# -*- coding: utf-8 -*-

# -----------------------------------------------------------------------------------#
# AvrLogger - Monitoring and visualization tool.                                     #
# Copyright (C) 2018 by BigRonin.                                                    #
# Member of the German Synology Community Forum "https://www.synology-forum.de"      #
# -----------------------------------------------------------------------------------#
# This file is part of "AvrLogger.spk"                                               #
#                                                                                    #
# AvrLogger is free software: you can redistribute it and/or modify                  #
# it under the terms of the GNU General Public License as published by               #
# the Free Software Foundation, either version 3 of the License, or                  #
# (at your option) any later version.                                                #
# -----------------------------------------------------------------------------------#

import asset
from   Html import *

FuncName    = 'ookla'

# -----------------------------------------------------------------------------------
# --- Pre-Initialization
# -----------------------------------------------------------------------------------
def pre( site, more ) :
   pass

# -----------------------------------------------------------------------------------
# --- Pre-Initialization
# -----------------------------------------------------------------------------------
def post( site, more ) :
   pass

# ------------------------------------------------------------------------------
# --- "ookla" - Page
# ------------------------------------------------------------------------------
def Func( site, more ):

   Out = asset.Out
   s   = asset.msg

   # ------------------------------------------------------------------------------
   # --- Performe a "Speedtest" ...
   jBusy( 'msgCgiWaitSpeedtest', iFlush=True )

   import Ookla
   iRet = Ookla.SpeedTest( opt=Out["SpeedTestServerTemp"], AvrDebug=False )

   if iRet :
      return 'json'
   else :
      # --- If Init fails... disable SpeedTest ...
      asset.cgiInput['SpeedTestAccessible'] = ''
      asset.cgiInput['SpeedTestRegistered'] = ''
      asset.cgiInput['SpeedTestOn'        ] = 'No'
      asset.cgiInput['SpeedTestServerCUR' ] = ''
      asset.cgiInput['SpeedTestServerGUI' ] = ''
      asset.cgiInput['SpeedTestServerRAW' ] = ''
      asset.cgiInput['SpeedTestFailed'    ] = 'Yes'

      import main
      main.save()

      return 'Info-log'

# --------------------------------------- END ---------------------------------------
# -----------------------------------------------------------------------------------
#  sys.exit()
# -----------------------------------------------------------------------------------
# -----------------------------------------------------------------------------------
